Bug 8091 - (int-155448) Press and hold in Browser portrait mode does nothing
(int-155448)
: Press and hold in Browser portrait mode does nothing
Status: RESOLVED FIXED
Product: Browser
User interface
: 5.0/(2.2009.51-1)
: N900 Maemo
: Unspecified normal with 4 votes (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: browser-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-16 00:01 UTC by Matija
Modified: 2010-03-17 05:05 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Matija (reporter) 2010-01-16 00:01:51 UTC
SOFTWARE VERSION: 2.2009.51-1.002
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Open Browser
2. Go to any page
3. Rotate phone to change into portrait mode
4. Press and hold on link or anywhere else

EXPECTED OUTCOME: A list opens with "Open in a new window, Add address, Save
page as"

ACTUAL OUTCOME: nothing happens

REPRODUCIBILITY: always
(always, less than 1/10, 5/10, 9/10)

EXTRA SOFTWARE INSTALLED: not important

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.5)
Gecko/20091102 Firefox/3.5.5 (.NET CLR 3.5.30729)
Comment 1 Alan Peery 2010-01-17 13:29:22 UTC
*** This bug has been confirmed by popular vote. ***
Comment 2 Andre Klapper maemo.org 2010-03-17 05:05:24 UTC
Oops. Sorry for the very late answer here. :-(

This has been fixed in package
tablet-browser-controls 1.7.4.7-1+0m5
which is part of the internal build version
10.2010.08-5
(Note: 2009/2010 is the year, and the number after is the week.)

In portrait mode you now get a menu with the following entries:
   Open link in new window
   Copy link address

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.

To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/